Get Address By ENS Name
POST
Retrieves the mapped address by entering the ENS domain name.
🚧 Please verify the network when using!
This API is supported only on Ethereum Mainnet and cannot be used on other networks. Please verify the network when using.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.networkstringrequired
Parameter specifying the network of the target chain.Request Body
namestringrequired
Enter the ENS domain name.Responses
addressstring
The address that the ENS domain points to. Returns null if the domain does not exist. If domain renewal or new registration does not occur after the expiry date, the address previously pointed to by the domain is returned.expiryDatestring
Indicates the expiry date of the ENS domain. If domain renewal or new registration does not occur after the expiry date, the previous expiry date is returned.codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "MISSING_REQUIRED_PARAMETER","message": "Missing required parameter: { PARAMETER_NAME }"}
cURL
curl -X POST 'https://web3.nodit.io/v1/ethereum/mainnet/ens/getAddressByEnsName' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{}'